<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/Resources/Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN CAPA_CAPA
 */


class CAPA_CAPA_sugar extends Basic {
    public $new_schema = true;
    public $module_dir = 'CAPA_CAPA';
    public $object_name = 'CAPA_CAPA';
    public $table_name = 'capa_capa';
    public $importable = true;
    public $team_id;
    public $team_set_id;
    public $acl_team_set_id;
    public $team_count;
    public $team_name;
    public $acl_team_names;
    public $team_link;
    public $team_count_link;
    public $teams;
    public $assigned_user_id;
    public $assigned_user_name;
    public $assigned_user_link;
    public $tag;
    public $tag_link;
    public $id;
    public $name;
    public $date_entered;
    public $date_modified;
    public $modified_user_id;
    public $modified_by_name;
    public $created_by;
    public $created_by_name;
    public $description;
    public $deleted;
    public $created_by_link;
    public $modified_user_link;
    public $activities;
    public $following;
    public $following_link;
    public $my_favorite;
    public $favorite_link;
    public $commentlog;
    public $commentlog_link;
    public $locked_fields;
    public $locked_fields_link;
    public $sync_key;
    public $date_initiated;
    public $contact_id_c;
    public $capa_owner;
    public $contact_id1_c;
    public $study_director;
    public $non_conforming_event;
    public $initial_scope;
    public $correction;
    public $root_cause_investigation;
    public $ca_andor_pa;
    public $issue;
    public $frequency_score;
    public $severity_score;
    public $risk_assessment_score;
    public $risk_assessment;
    public $corrective_actions_proposed;
    public $corrective_action_target_due;
    public $proposed_verification_effectiv;
    public $effectiveness_verification_due;
    public $preventative_actions_proposed;
    public $preventative_action_target_due;
    public $rationale_or_discussion_of_pa;
    public $proposed_verification_pa;
    public $effectiveness_verification_pa;
    public $corrective_action_effective;
    public $progress_update_ca;
    public $effectiveness_review_ca;
    public $further_corrective_action_requ;
    public $preventative_action_effective;
    public $progress_update_pa;
    public $effectiveness_review_pa;
    public $further_preventative_action_re;
    public $capa_cancellation_justificatio;
    
    public function bean_implements($interface){
        switch($interface){
            case 'ACL': return true;
        }
        return false;
    }
    
}
